-- require colorPicker library
local colorPicker = require("colorPicker")

-- hide status bar
display.setStatusBar( display.HiddenStatusBar )

-- set variables for various screen positions
local centerX = display.contentCenterX
local centerY = display.contentCenterY
local screenTop = display.screenOriginY
local screenLeft = display.screenOriginX
local screenBottom = display.screenOriginY+display.actualContentHeight
local screenRight = display.screenOriginX+display.actualContentWidth
local screenWidth = screenRight - screenLeft
local screenHeight = screenBottom - screenTop

-- make the screen background white
display.setDefault("background", 1, 1, 1)


-- load the Built With Corona image
local builtWithCorona = display.newImage("builtWithCorona.png")

-- center the image on-screen
builtWithCorona.x, builtWithCorona.y = centerX, centerY

-- assign variables for image's RGBA values
local R, G, B, A = 1, 1, 1, 1
	
-- make our "listener" function to handle RGBA values returned by the picker
local function pickerListener(r, g, b, a)
	builtWithCorona:setFillColor(r, g, b, a)
	R, G, B, A = r, g, b, a
end

-- add a Runtime listener to show the picker
Runtime:addEventListener("tap", function() colorPicker.show(pickerListener, R, G, B, A) end)